> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 使用簽名請求身份驗證令牌

> 使用格式 `{signText}{time}` 簽署訊息，其中 signText 為 "Sign in to raydium.io: "，time 為當前 Unix 時間戳（秒）。錢包必須簽署此訊息並提交簽名以接收 JWT 令牌。



## OpenAPI

````yaml /zh-Hant/api-reference/openapi/launch-auth-v1.yaml post /request-token
openapi: 3.0.3
info:
  title: Raydium Launch Auth API
  description: >-
    管理 LaunchLab 和 Forum API 的錢包身份驗證。在驗證 ed25519 錢包簽名後發出 JWT 令牌。在 Forum API
    上發表評論和管理內容需要令牌。
  version: 1.0.0
servers:
  - url: https://launch-auth-v1.raydium.io
    description: Mainnet
  - url: https://launch-auth-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Token Management
    description: 請求和驗證身份驗證令牌
  - name: Utilities
    description: 健康檢查端點
paths:
  /request-token:
    post:
      tags:
        - Token Management
      summary: 使用簽名請求身份驗證令牌
      description: >-
        使用格式 `{signText}{time}` 簽署訊息，其中 signText 為 "Sign in to raydium.io:
        "，time 為當前 Unix 時間戳（秒）。錢包必須簽署此訊息並提交簽名以接收 JWT 令牌。
      operationId: postRequestToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - time
                - signature
                - wallet
              properties:
                time:
                  type: integer
                  description: 簽署訊息時的 Unix 時間戳（秒）
                  example: 1704067200
                signature:
                  type: string
                  description: 訊息的 Ed25519 簽名（base58 編碼）
                  example: 3veiKZ6IHo7jrz9XdwLd8KvvP2pinCtjJXWe6MGNDUjT...
                wallet:
                  type: string
                  description: Solana 錢包公鑰
                  example: 4k3Dyjzvzp8eMZWUXbBCjEvwSvsrFjJqkDsyU5F5oV4
      responses:
        '200':
          description: 令牌發出成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      token:
                        type: string
        '400':
          description: 請求參數無效
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: false
                  data:
                    type: object
                    properties:
                      msg:
                        type: string
                        example: Invalid signature

````